@echo off

echo.
echo executing rename_launch_project_name.bat...
echo.

IF %1.==. GOTO ParameterError
IF %2.==. GOTO ParameterError


echo Executing fart.exe "Find and Replace Text" to change project name within .launch files...
fart -r *.launch %1 %2

GOTO Finish

:ParameterError
echo !!!!! There was an error with the parameters 
echo USAGE:
echo    rename_launch_project_name  current_project_name  new_project_name
echo.
echo    current_project_name - Current name of the Eclipse project in .launch files
echo    new_project_name     - New name of Eclipse project in .launch files
echo.
echo    Example C:\path_to_project_folder^> rename_launch_project_name project_foo project_bar
echo.
echo    Notes:
echo        Execute the .bat from the Eclipse project folder
echo        Any .launch files in and below the project folder will be modified
echo.

:Finish
